import { ApiCall } from "tsrpc";
import { ReqPost, ResPost } from "../../shared/protocols/gmapi/PtlPost";
import axios from 'axios';
import util from 'util';

export default async function (call: ApiCall<ReqPost, ResPost>) {
    let baseUrl = util.format('https://%s', G.config.baseUrl)
    let params = {g:'', m:'data', a: "out_notice",game: 'heijiao', owner: ''}
    let res = await axios.get(baseUrl + '/gm/index.php', {params})
    call.succ({data: res.data})
}